All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class AdvancedBusinessModelFilterObjectFactory

    com.sas.dataselectors.filters.AdvancedBusinessModelFilterObjectFactory

All Implemented Interfaces:
  FilterObjectFactoryInterface

    public class AdvancedBusinessModelFilterObjectFactory

This class extends the base factory class to add map-time specific functionality.

Field Summary

Fields inherited from class com.sas.dataselectors.filters.BaseAdvancedFilterObjectFactory
`_businessQuery, ALT_CONTAINS, ALT_LIKE, ALT_NOT_CONTAINS, ALT_NOT_LIKE, CONTAINS, DOES_NOT_CONTAIN, IS_BETWEEN_TIME, IS_IN_LIST_OR_EQUAL_TO, IS_NOT_IN_LIST_OR_EQUAL_TO, LAST_N_PERIODS, LIKE, MONTH_TO_DATE, NEXT_N_PERIODS, OLAP_EQUAL_TO, OLAP_IS_NOT_EQUAL_TO, OLAP_RELATIVE_TIME, olapTimeBasedFilterAdapter, RB_KEY, RB_KEY2, YEAR_TO_DATE`

Fields inherited from class com.sas.dataselectors.filters.BaseFilterObjectFactory
`_baseModel, _businessModel, _dataService, _scope, CODE_BLOCK, DEFAULT_GOVERNING_LIMIT, DEFAULT_SCOPE, environment, IS_AFTER, IS_AFTER_OR_EQUAL, IS_BEFORE, IS_BEFORE_OR_EQUAL, IS_BETWEEN, IS_EQUALS, IS_GREATER_THAN, IS_GREATER_THAN_OR_EQUAL, IS_IN_LIST, IS_LESS_THAN, IS_LESS_THAN_OR_EQUAL, IS_NOT_BETWEEN, IS_NOT_EQUALS, IS_NOT_IN_LIST, IS_NOT_NULL, IS_NULL`

Constructor Summary
`AdvancedBusinessModelFilterObjectFactory(com.sas.iquery.metadata.business.BusinessModel model)` Constructs a new factory using the given model.
`AdvancedBusinessModelFilterObjectFactory(FilterBaseModelData baseModel)` Constructs a new factory using the given model.

Method Summary
`java.util.List` | `getEligibleFilterItems(boolean includeBaseModels)` Constructs and returns a list of all items from the native filter model that should be available as filter items.
`FilterQualifierListInterface` | `getQualifiers(java.util.List itemList)` Returns a FilterQualifierListInterface instance that defines the list of all qualifiers that should be available.
`boolean` | `updateSimpleFilterFromTestNode(com.sas.iquery.metadata.business.FilterItem filterItem, FilterLogicTestNodeInterface testNode)` Save the testNode data to the filter and then make sure the filter is written to the map.

Methods inherited from class com.sas.dataselectors.filters.BaseAdvancedFilterObjectFactory
`convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterItem, findMatchingFilterItem, getActualFilterValues, getCharacterQualifiedItem, getConditionFromRB, getConditionFromRB, getConditionFromRB, getConditionFromRB, getConditionFromRB, getConditionList, getDefaultOLAPMeasureConditions, getDefaultOLAPNonMeasureConditions, getFilterableItems, getMembersForOLAPItem, getMembersForOLAPItem, getNumericQualifiedItem, getOLAPConditions, getOLAPTimeBasedConditions, getOLAPTimeBasedFilterAdapter, getQualifiedItem, getRelationalCharacterConditions, getRelationalConditions, getRelationalConditions, getRelationalNumericConditions, getRelationalTimeBasedConditions, getRelationalTimeConditions, newConditionalExpression, newConditionalFunctionExpression, newConditionalFunctionExpression, newFilterExpression, newRelationalFilterExpression, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, setLocale, updateCompoundFilter`

Methods inherited from class com.sas.dataselectors.filters.BaseFilterObjectFactory
`addFilterItem, clearFilterCondition, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, convertToFilterableItem, createExpressionFromNative, createExpressionFromNative, createFilterItemFromNative, createFilterQualifierFromNative, createFilterQualifierListFromNativeList, createFilterValueFromNative, createFilterValueFromNative, createFilterValueFromNative, createFilterValueFromNative, createFilterValueList, createFilterValueListFromNativeList, createJavaDateFromSASDate, createJavaDateFromSASDateTime, createJavaDateFromSASTime, createStringExpressionList, createStringExpressionList, createValueItem, createValueItemFromUniqueMemberID, enforceBooleanPrecedence, findMatchingConditionObject, findMatchingConditionObject, findMatchingConditionObject, findMatchingFilterQualifier, findMatchingFilterValue, formatFunctionCall, getAdjustedFilterItemType, getAlternateConditions, getComparisonOperator, getDataItem, getDataItems, getDataServiceValues, getDateOrNullFromNative, getEnvironment, getExpressionListFromTestNodeValues, getFilterItemSASFormatText, getFilterStep, getItemType, getLevelProperties, getLevelProperties, getLevelProperties, getLocale, getMaxOutputObservations, getMemberListFromTestNodeQualifiers, getMetadataInterface, getOLAPMeasureConditionList, getOLAPMemberConditionList, getRelationalConditions, getRelationalConditions, getServerProperties, getStringExpressionListFromTestNodeValues, initDataService, isOLAP, isTimeDimension, newCompoundConditionalExpression, newCompoundFilter, newCompoundStep, newConstantExpression, newCoumpoundFilter, newFilterDataValue, newFilterDataValue, newFilterItem, newFilterStep, newFilterValue, newStringExpression, newStringExpression, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, newTestNode, releaseResources, removeFilterItem, setEnvironment, setFilterBaseModelData, setFilterItemProperties, setFilterItemProperties, setMaxOutputObservations, updateCompoundConditionalFilter, updateCompoundStep, updateSimpleFilter, updateSimpleFilterFromTestNode, updateSimpleFilterFromTestNode, wrapValueListDates`

Constructor Detail

### AdvancedBusinessModelFilterObjectFactory

    public AdvancedBusinessModelFilterObjectFactory(FilterBaseModelData baseModel)

  Constructs a new factory using the given model.

  Parameters:
    `model` - the native filter model

### AdvancedBusinessModelFilterObjectFactory

    public AdvancedBusinessModelFilterObjectFactory(com.sas.iquery.metadata.business.BusinessModel model)

  Constructs a new factory using the given model.

  Parameters:
    `model` - the native filter model

Method Detail

### getEligibleFilterItems

    public java.util.List getEligibleFilterItems(boolean includeBaseModels)

  Constructs and returns a list of all items from the native filter model that should be available as filter items.

  Overrides:
    `getEligibleFilterItems` in class `BaseAdvancedFilterObjectFactory`
  Parameters:
    `includeBaseModels` - TRUE if base models in the native model should be searched for eligible items
  Returns:
    the list of eligible filter items from the native filter model
  See Also:
    `BaseAdvancedFilterObjectFactory.getEligibleFilterItems(boolean)`

### getQualifiers

    public FilterQualifierListInterface getQualifiers(java.util.List itemList)

  Returns a FilterQualifierListInterface instance that defines the list of all qualifiers that should be available. The list is derived from the BusinessQuery and from the items in the list (although currently, the list is ignored).

  Overrides:
    `getQualifiers` in class `BaseAdvancedFilterObjectFactory`
  Parameters:
    `itemList` - a list of FilterItems for which the returned qualifiers should be valid
  Returns:
    a FilterQualifierListInterface instance defining the available qualifiers

### updateSimpleFilterFromTestNode

    public boolean updateSimpleFilterFromTestNode(com.sas.iquery.metadata.business.FilterItem filterItem,
                                                  FilterLogicTestNodeInterface testNode)

  Save the testNode data to the filter and then make sure the filter is written to the map.

  Specified by:
    `updateSimpleFilterFromTestNode` in interface `FilterObjectFactoryInterface`
  Overrides:
    `updateSimpleFilterFromTestNode` in class `BaseAdvancedFilterObjectFactory`
  Parameters:
    `filterItem` -
    `testNode` -
  Returns:
    TRUE if everything was successful, FALSE otherwise

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.